schemaVersion: "1.0"
pattern:
  id: "6244fcef0dce49e7b09012de"
  className: "ch.nevis.admin.v4.plugin.nevisauth.patterns2.TransformVariablesStep"
  name: "EId_Passthrough_Prepare_Assertion"
  label: "EID"
  properties:
    variables:
    - sess:ch.nevis.idm.User.firstName: "${sess:agov.eid.User.firstName}"
    - sess:ch.nevis.idm.User.lastName: "${sess:agov.eid.User.lastName}"
    - sess:ch.nevis.idm.User.birthDate: "${sess:agov.eid.User.birthDate}"
    - sess:ch.nevis.idm.User.gender: "${sess:agov.eid.User.gender}"
    - sess:ch.nevis.idm.User.prop.svnr: "${sess:agov.eid.User.svnr}"
    - sess:ch.nevis.idm.User.prop.placeOfBirth: "${sess:agov.eid.User.placeOfBirth}"
    - sess:ch.nevis.idm.User.prop.eIdNumber: "${sess:agov.eid.User.eIdNumber}"
    - sess:ch.nevis.idm.User.prop.nationality: "${sess:agov.eid.User.nationality}"
    onSuccess:
    - "pattern://b87d0d2b640e8e545ad70234"
